/**
 * Copyright 2013 ArcBees Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

package com.arcbees.gquery.tooltip.client;

import com.google.gwt.resources.client.ClientBundle;
import com.google.gwt.resources.client.CssResource;

public interface TooltipResources extends ClientBundle {

    public interface TooltipStyle extends CssResource {

        String tooltip();

        String in();

        String top();

        String left();

        String right();

        String bottom();

        @ClassName("tooltip-inner")
        String tooltipInner();

        @ClassName("tooltip-arrow")
        String tooltipArrow();
    }

    @Source("com/arcbees/gquery/tooltip/client/Tooltip.css")
    TooltipStyle css();
}
